This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 503189 - Review Request: python-gnutls - Python wrapper for the GNUTLS library
Review Request: python-gnutls - Python wrapper for the GNUTLS library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 10:18 EDT by Peter Lemenkov
Modified: 2009-11-13 14:31 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.1.8-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 15:33:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2009-05-29 10:18:40 EDT
Spec URL: http://peter.fedorapeople.org/python-gnutls.spec
SRPM URL: http://peter.fedorapeople.org/python-gnutls-1.1.8-1.fc10.src.rpm
Description: This package provides a high level object oriented wrapper around gnutls,
as well as low level bindings to the GNUTLS types and functions via ctypes.
The high level wrapper hides the details of accessing the GNUTLS library via
ctypes behind a set of classes that encapsulate GNUTLS sessions, certificates
and credentials and expose them to python applications using a simple API.

The package also includes a Twisted interface that has seamless intergration
with Twisted, providing connectTLS and listenTLS methods on the Twisted reactor
once imported (the methods are automatically attached to the reactor by simply
importing the GNUTLS Twisted interface module).

The high level wrapper is written using the GNUTLS library bindings that are
made available via ctypes. This makes the wrapper very powerful and flexible
as it has direct access to all the GNUTLS internals and is also very easy to
extend without any need to write C code or recompile anything.
Comment 1 Parag AN(पराग) 2009-06-01 01:09:07 EDT
build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=1386463

missing "BuildRequires: python-setuptools-devel" as per given at
Comment 2 Parag AN(पराग) 2009-06-01 01:09:39 EDT
build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=1386463

missing "BuildRequires: python-setuptools-devel" as per given at https://fedoraproject.org/wiki/Packaging/Python/Eggs#Providing_Eggs_for_non-setuptools_packages
Comment 4 Parag AN(पराग) 2009-06-01 06:08:06 EDT
Koji scratch build link is for python-application package.



Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1386637
+ rpmlint is NOT silent for RPM.
==> See suggestion2.
+ source files match upstream url
599bba969380fadc719fb49a94e5efd95084637d  python-gnutls-1.1.8.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package python-gnutls-1.1.8-2.fc12.i586 =>
Provides: _gnutls_init.so
Requires: /usr/bin/env libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libgnutls-extra.so.26 libgnutls-extra.so.26(GNUTLS_1_4) libgnutls.so.26 libgnutls.so.26(GNUTLS_1_4) libpthread.so.0 libpthread.so.0(GLIBC_2.0) libpython2.6.so.1.0 python(abi) = 2.6 rtld(GNU_HASH)
+ Not a GUI application

Suggestions:
1) use %global instead %define
2) Add to %prep
chmod 644 examples/*.py
to silent rpmlint messages
python-gnutls.i586: W: spurious-executable-perm /usr/share/doc/python-gnutls-1.1.8/examples/twisted-server.py
python-gnutls.i586: W: spurious-executable-perm /usr/share/doc/python-gnutls-1.1.8/examples/client.py
python-gnutls.i586: W: spurious-executable-perm /usr/share/doc/python-gnutls-1.1.8/examples/server.py
python-gnutls.i586: W: spurious-executable-perm /usr/share/doc/python-gnutls-1.1.8/examples/twisted-client.py
python-gnutls.i586: W: spurious-executable-perm /usr/share/doc/python-gnutls-1.1.8/examples/crypto.py
python-gnutls.i586: W: doc-file-dependency /usr/share/doc/python-gnutls-1.1.8/examples/twisted-server.py /usr/bin/env
python-gnutls.i586: W: doc-file-dependency /usr/share/doc/python-gnutls-1.1.8/examples/client.py /usr/bin/env
python-gnutls.i586: W: doc-file-dependency /usr/share/doc/python-gnutls-1.1.8/examples/server.py /usr/bin/env
python-gnutls.i586: W: doc-file-dependency /usr/share/doc/python-gnutls-1.1.8/examples/twisted-client.py /usr/bin/env
python-gnutls.i586: W: doc-file-dependency /usr/share/doc/python-gnutls-1.1.8/examples/crypto.py /usr/bin/env

APPROVED.
Comment 5 Peter Lemenkov 2009-06-01 07:16:10 EDT
Done.

http://peter.fedorapeople.org/python-gnutls.spec
http://peter.fedorapeople.org/python-gnutls-1.1.8-2.fc10.src.rpm

New Package CVS Request
=======================
Package Name: python-gnutls
Short Description: Python wrapper for the GNUTLS library
Owners: peter
Branches: F-10 F-11
InitialCC:
Comment 6 Jason Tibbitts 2009-06-01 14:25:29 EDT
CVS done.
Comment 7 Fedora Update System 2009-06-03 10:09:41 EDT
python-gnutls-1.1.8-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-gnutls-1.1.8-3.fc11
Comment 8 Fedora Update System 2009-06-03 10:09:46 EDT
python-gnutls-1.1.8-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-gnutls-1.1.8-3.fc10
Comment 9 Fedora Update System 2009-06-04 17:16:52 EDT
python-gnutls-1.1.8-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-gnutls'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5891
Comment 10 Fedora Update System 2009-06-04 17:17:23 EDT
python-gnutls-1.1.8-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-gnutls'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5897
Comment 11 Fedora Update System 2009-06-24 15:33:43 EDT
python-gnutls-1.1.8-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-06-24 15:36:51 EDT
python-gnutls-1.1.8-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Peter Lemenkov 2009-11-12 05:38:10 EST
Package Change Request
======================
Package Name: python-gnutls
New Branches: EL-4 EL-5
Owners: peter
Comment 14 Jason Tibbitts 2009-11-13 14:31:13 EST
CVS done.

Note You need to log in before you can comment on or make changes to this bug.